Bug 69128 - (BIOS APM)"poweroff" command causes apparent crash
(BIOS APM)"poweroff" command causes apparent crash
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-07-17 21:43 EDT by J. J. Ramsey
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J. J. Ramsey 2002-07-17 21:43:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
When I try to halt the machine using the "poweroff" command, it seems to act
mostly like the "halt" command, but right after the message comes up telling me
that hda (my hard drive) has been flushed, error messages scroll onto the screen
faster than I can read them, and keep scrolling indefinitely. They look perhaps
like kernel error messages.

The "halt" command works properly. Right before the "System halted" message
comes on screen comes a message telling me that hda (hard drive) and hdb
(CD-ROM) have been flushed.

Version-Release number of selected component (if applicable): 1.53-2

How reproducible:

Steps to Reproduce:
1. Type "poweroff".
2. Press the Enter key.

Actual Results:  Unending flow of cryptic error messages

Expected Results:  Machine should have powered off or at least halted.

Additional info:

Motherboard: iWill KA266plus
Hard drive: Quantum FireballP LM20.5
CD-ROM: Pioneer ATAPI Model DR-A04S 0105

My motherboard has an onboard USB controller. I have a USB scanner attached to
it, an Epson Perfection 636U.

Also, if I shut down using the GNOME2 logout dialog (from my GARNOME setup), I
get the same results as when I type "poweroff". (To shut down from GNOME2, bring
up the logout dialog, check the "Shut Down" option, and then click the "Ok" button.)
Comment 1 Bugzilla owner 2004-09-30 11:39:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.